Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225666 - Merge Review: crypto-utils
Summary: Merge Review: crypto-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:53 UTC by Nobody's working on this, feel free to take it
Modified: 2013-02-07 16:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-07 16:36:32 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 17:53:56 UTC
Fedora Merge Review: crypto-utils

http://cvs.fedora.redhat.com/viewcvs/devel/crypto-utils/
Initial Owner: jorton@redhat.com

Comment 1 Orion Poplawski 2007-10-23 16:37:13 UTC
It would be nice to see this in EPEL EL-5.  Not sure why this isn't in RHEL5,
since it appears to be in RHEL4.

Comment 2 Orion Poplawski 2007-10-23 16:39:56 UTC
Needs perl-Newt to be in EL-5.

Comment 3 Joe Orton 2007-10-23 19:48:37 UTC
It is scheduled to be restored to RHEL 5 by 5.1, FWIW.

Comment 4 Thomas Spura 2010-07-18 22:32:35 UTC
There is no upstream url, so where is this package located?

Comment 5 Joe Orton 2010-07-19 20:12:46 UTC
There is no upstream.

Comment 6 Gwyn Ciesla 2012-04-06 13:06:02 UTC
Good:

- rpmlint checks return:

You use $RPM_SOURCE_DIR or %{_sourcedir} in your spec file. If you have to use
a directory for building, use $RPM_BUILD_ROOT instead.

Fix.

crypto-utils.spec:70: W: rpm-buildroot-usage %build perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr OPTIMIZE="$RPM_OPT_FLAGS" INSTALLDIRS=vendor
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

Fix.

crypto-utils.spec:377: W: macro-in-%changelog %files
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

crypto-utils.spec:378: W: macro-in-%changelog %post
Macros are expanded in %changelog too, which can in unfortunate cases lead to
the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally odd
entries eg. in source rpms, which is rarely wanted.  Avoid use of macros in
%changelog altogether, or use two '%'s to escape them, like '%%foo'.

Trival to fix.

crypto-utils.spec: W: invalid-url Source0: crypto-rand-1.3.tar.gz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

crypto-utils.src: W: no-url-tag
The URL tag is missing.

I see this has no real upstream, if this is something we originate it needs a home on fedorahosted.

crypto-utils.src: W: strange-permission copying 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission pemutil.c 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission certext.c 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission secutil.h 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission keyutil.c 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission SECerrs.h 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission keyutil.h 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

crypto-utils.src: W: strange-permission secutil.c 0775L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

Easy fixes.

- package meets naming guidelines
- package meets packaging guidelines
- license ( ) OK, text in %doc, matches source

Says MIT and GPLv2+, should be MIT and GPLv2+ and MPLv1.0

- spec file legible, in am. english
- source matches upstream

Impossible to determine.

- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

I realize this package is ancient, but at least the few fixes are easy. Let me know if you want me to commit anything.

Comment 7 Gwyn Ciesla 2012-04-26 12:52:40 UTC
Ping?  I'll commit and close if that's ok?

Comment 8 Gwyn Ciesla 2013-02-07 16:36:32 UTC
Committed fixes and built in rawhide, APPROVED, closing.


Note You need to log in before you can comment on or make changes to this bug.